/**
 * @public
 */
export declare const defaultLocale: {
    dragAndDrop: string;
    selectFile: string;
    pasteFromClipboard: string;
};
export declare type Locale = typeof defaultLocale;
/**
 * @public
 */
export declare function getLocale(locale: null | undefined | Locale): Locale;
/**
 * @public
 */
export declare function onDrop(e: DragEvent, name: string | undefined, url: string | undefined, method: string | undefined, fileGot: (file: File | Blob) => void, fileUploaded: (request: XMLHttpRequest) => void, progress: (percent: number) => void, requestCreated: (uploadRequest: UploadRequest) => void, beforeRequest?: (request: XMLHttpRequest, formData: FormData) => void): void;
/**
 * @public
 */
export declare function onPaste(e: ClipboardEvent, name: string | undefined, url: string | undefined, method: string | undefined, fileGot: (file: File | Blob) => void, fileUploaded: (request: XMLHttpRequest) => void, progress: (percent: number) => void, requestCreated: (uploadRequest: UploadRequest) => void, beforeRequest?: (request: XMLHttpRequest, formData: FormData) => void): void;
/**
 * @public
 */
export declare function onFileUploaded(e: Event, name: string | undefined, url: string | undefined, method: string | undefined, fileGot: (file: File | Blob) => void, fileUploaded: (request: XMLHttpRequest) => void, progress: (percent: number) => void, requestCreated: (uploadRequest: UploadRequest) => void, beforeRequest?: (request: XMLHttpRequest, formData: FormData) => void): void;
/**
 * @public
 */
export interface UploadRequest {
    percent: number;
    file: File | Blob;
    request: XMLHttpRequest;
}
/**
 * @public
 */
export declare function removeRequest(requests: UploadRequest[], request: XMLHttpRequest): void;
